#include <stdio.h>

// Configuration
int FPGA_QSPI_CONF(uint32_t baud_rate, uint8_t clk_polarity, uint8_t clk_phase);
// Send
int FPGA_QSPI_SEND_8bI(uint16_t n_nibbles, uint8_t* data, int interruptMode);
int FPGA_QSPI_SEND_16bI(uint16_t n_nibbles, uint16_t* data, int interruptMode);
int FPGA_QSPI_SEND_32bI(uint16_t n_nibbles, uint32_t* data, int interruptMode);
// Receive
int FPGA_QSPI_RECEIVE_16bI(uint16_t n_nibbles, uint16_t* data, int interruptMode);

int handle_IR();
